<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemandsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demands', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('authority_id')->index()->nullable()->comment('关联权限');
            $table->bigInteger('initiator')->index()->comment('发起人');
            $table->string('description')->comment('描述');
            $table->tinyInteger('type')->default(0)->comment('类型');
            $table->tinyInteger('status')->default(0)->comment('状态');
            $table->bigInteger('handler')->comment('处理人');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('demands');
    }
}
